package impl

import (
	"ai_scheduler/internal/data/model"
	"ai_scheduler/tmpl/dataTemp"
	"ai_scheduler/utils"
)

type AdviceClientImpl struct {
	dataTemp.DataTemp
}

func NewAdviceClientImpl(db *utils.Db) *AdviceClientImpl {
	return &AdviceClientImpl{
		DataTemp: *dataTemp.NewDataTemp(db, new(model.AiAdviceClient)),
	}
}
